package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Sevice_order;
import com.realnet.vpspack.Services.Sevice_orderService ;
















@RequestMapping(value = "/Sevice_order")
 @CrossOrigin("*") 
@RestController
public class Sevice_orderController {
	@Autowired
	private Sevice_orderService Service;

@Value("${projectPath}")
	private String projectPath;
 
















	@PostMapping("/Sevice_order")
		  public Sevice_order Savedata(@RequestBody Sevice_order data) {
		Sevice_order save = Service.Savedata(data)	;















		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Sevice_order/{id}")
	public  Sevice_order update(@RequestBody Sevice_order data,@PathVariable Integer id ) {
		Sevice_order update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Sevice_order/getall/page")
	public Page<Sevice_order> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Sevice_order> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Sevice_order")
	public List<Sevice_order> getdetails() {
		 List<Sevice_order> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Sevice_order")
	public List<Sevice_order> getallwioutsec() {
		 List<Sevice_order> get = Service.getdetails();		
		return get;
}
@GetMapping("/Sevice_order/{id}")
	public  Sevice_order  getdetailsbyId(@PathVariable Integer id ) {
		Sevice_order  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Sevice_order/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}

















}